/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.spi.form.builder.settings;

import com.liferay.dynamic.data.mapping.model.DDMForm;
import com.liferay.portal.kernel.json.JSONArray;

import java.util.Locale;

/**
 * @author Gabriel Albuquerque
 */
public interface DDMFormBuilderSettingsRetrieverHelper {

	public String getDDMDataProviderInstanceParameterSettingsURL();

	public String getDDMDataProviderInstancesURL();

	public String getDDMFieldSetDefinitionURL();

	public String getDDMFieldSettingsDDMFormContextURL();

	public String getDDMFormContextProviderURL();

	public String getDDMFunctionsURL();

	public JSONArray getFieldSetsMetadataJSONArray(
		long companyId, long scopeGroupId, long fieldSetClassNameId,
		Locale locale);

	public String getRolesURL();

	public String getSerializedDDMExpressionFunctionsMetadata(Locale locale);

	public String getSerializedDDMFormRules(DDMForm ddmForm);

}